跳转到主要内容
GET
/
openapi
/
v1
/
assets
/
material
/
list
素材列表
curl --request GET \
  --url https://api.vmeg.ai/openapi/v1/assets/material/list \
  --header 'Authorization: Bearer <token>'
{
  "code": 200,
  "message": "",
  "data": {
    "records": [
      {
        "materialId": "<string>",
        "category": "video",
        "name": "<string>",
        "addressUrl": "<string>",
        "thumbnailUrl": "<string>",
        "audioUrl": "<string>",
        "resolution": "1920x1080",
        "mimeType": "<string>",
        "fileHash": "<string>",
        "filesize": 123,
        "duration": 123,
        "createTime": "<string>",
        "updateTime": "<string>"
      }
    ],
    "total": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vmeg.ai/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Authorization 请求头中传入 API Key(Bearer <api_key>)。见 鉴权

查询参数

projId
string
必填

项目 ID(API Key 所属项目)

currentPage
integer
默认值:1

页码(从 1 开始)

pageSize
integer
默认值:20

每页条数

响应

200 - application/json

成功

code
integer
必填

业务码;200 表示成功

示例:

200

message
string

code 非成功时的说明信息

示例:

""

data
object